function newdf = LogisticTransform(df)
%function newdf = LogisticTransform(df)
%
%Does the log transform of the response variable

df.traindata.response = df.traindata.response / df.captime;
df.testdata.response =  df.testdata.response / df.captime;

df.traindata.response = log(df.traindata.response) -  log(1-df.traindata.response);
df.testdata.response =  log(df.testdata.response) - log(1-df.testdata.response) ;

if ~isempty(df.validdata)
    df.validdata.response = df.validdata.response / df.captime;
    df.validdata.response = log(df.validdata.response) - log(1-df.validdata.response);
end

df.backtransform = @BackLogisticTransform;

newdf=df;
