function newdf = projectDF(df, colidx)
%function newdf = projectDF(df, colidx)
%
%Projects everything in the datafram to only use columns colidx...

error(nargchk(2,2,nargin));

newdf=df;

newdf.traindata.features = newdf.traindata.features(:,colidx);
newdf.testdata.features = newdf.testdata.features(:,colidx);

if ~isempty(newdf.validdata)
    newdf.validdata.features = newdf.validdata.features(:,colidx);
end

newdf.featurenames = newdf.featurenames(colidx);
