function saveMatrix(m, headerRow, filename)

%function saveMatrix(m, headerRow)

%

%Write a matrix to a csv file, together with the header row



error(nargchk(nargin,3,3));



%First, write the header

fid = fopen(filename ,'wb');

if fid == (-1), error(['Could not open file ' filename]); end



for str=headerRow(1:end-1)

    fprintf(fid, '%s,', char(str));

end

fprintf(fid, '%s\n', char(headerRow(end:end)));

fclose(fid);



%data

dlmwriteappend(filename, m, ',');

