%output var importance info into a file
function writeVimpFile(vimpPrefix, vimp, df)

filename = [vimpPrefix '-' df.algname '.csv'];
fid = fopen(filename,'wb');
if fid == (-1), error(['Could not open file ' filename]); end

n=length(vimp);
fprintf(fid, 'Feature,Importance\n');
for i=1:n
    fprintf(fid, '%s,%15.10f\n', char(vimp(i).feature), vimp(i).importance);
end


fclose(fid);
