function newdf = LogTransform(df)
%function newdf = LogTransform(df)
%
%Does the log transform of the response variable



df.captime = log10(df.captime);
df.traindata.response = log10(df.traindata.response);
df.testdata.response =  log10(df.testdata.response);

if ~isempty(df.validdata)
    df.validdata.response = log10(df.validdata.response);
end

df.backtransform = @BackLogTransform;

newdf=df;

