% delete features whose standard deviation is less than some cutoff
function newdf=deleteConstantFeatures(df,cutoff)

	feats = [1:size(df.traindata.features,2)];
	for i=1:size(df.traindata.features,2)
		if(std(df.traindata.features(:,i)) < cutoff)  % standard deviation
			feats = feats(1:end~=find(feats==i));
			display(sprintf('    Removed constant feature %d',i));
		end
	end
	newdf = projectDF(df,feats);
end