function newdf=deleteIllConditionedFeatures(df, dataset_string,cutoff)

	global delta;
	
	TrainM = [df.traindata.features ones(size(df.traindata.features,1),1)];
	A = TrainM' * TrainM + delta * eye(size(TrainM,2));
	new_cond = klbcond(A);
	while (new_cond > cutoff)
		var = removeBadFeature(df,new_cond,A);
		name = char(df.featurenames(var));
		df = projectDF(df,1:size(df.traindata.features,2)~=var);
% 		TrainM = [df.traindata.features ones(size(df.traindata.features,1),1)];
% 		A = TrainM' * TrainM + delta * eye(size(TrainM,2));
		A = A(1:end~=var,1:end~=var);
		old_cond = new_cond;
		new_cond = klbcond(A);
		display(sprintf('    Removing %s feature %s because matrix is ill-conditioned: cond goes from %.2g to %.2g', dataset_string, name,old_cond, new_cond));
	end
	display(sprintf('    %s: condition number %g',dataset_string,klbcond(A)));
	clear TrainM, A;
    
    newdf=df;
end
