function saveData(m, headerRow, filename)
%function saveMatrix(m, headerRow)
%
%Write a matrix to a csv file, together with the header row

error(nargchk(nargin,3,3));

%First, write the header
fid = fopen(filename ,'wb');
if fid == (-1), error(['Could not open file ' filename]); end
msize=size(headerRow, 1);
for str=1:(msize-1)
    fprintf(fid, '%s,', char(headerRow(str)));
end
fprintf(fid, '%s\n', char(headerRow(end:end)));
fclose(fid);


%data
dlmwriteappend(filename, m, ',');
